{% extends "base.html" %}

{% block content %}
    <div class="row">
        <div class="col-md-12 text-center">
            <h1 class="display-4">Components</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-2 p-1">
            <p class="text-justify">Address search form for ANTO and address search API demo purposes</p>
            <a href="/address-search/"><input class="btn btn btn-primary btn-lg" type="button" value="Form"/></a>
            <a href="javascript:popOpen('/address-search/?popup=true');"><input class="btn btn btn-primary btn-lg"
                                                                                type="button" value="Popup"/></a>

        </div>
    </div>
    <div class="row">
        <div class="col-2 p-1">
            <p class="text-justify">Address search NEW form for ANTO and address search API demo purposes</p>
            <a href="/address-search/new"><input class="btn btn btn-primary btn-lg" type="button" value="Form"/></a>
            <a href="javascript:popOpen('/address-search/new?popup=true');"><input class="btn btn btn-primary btn-lg"
                                                                                   type="button" value="Popup"/></a>

        </div>
    </div>

    <script language="JavaScript">

        function popOpen(url) {
            //url = document.getElementById("P212_URL").value;
            w = open(url, "winLov", "Scrollbars=1,resizable=1,width=800,height=600");
            if (w.opener == null)
                w.opener = self;
            //  w.write("supported")
            w.focus();
        }

        function transferAddr(id, id_type, region, city_county, municipality, street_bg_name, bg_num, bg_room, post_code, string,
                              building_id, building_name, building_subtype, coord_x, coord_y, room_id, floor, entrance, room_type, add_information) {
            alert("Selected address: \n" +
                "\nid: " + id +
                "\nid_type: " + id_type +
                "\nregion: " + region +
                "\ncity_county: " + city_county +
                "\nmunicipality: " + municipality +
                "\nstreet_bg_name: " + street_bg_name +
                "\nbg_num: " + bg_num +
                "\nbg_room: " + bg_room +
                "\npost_code: " + post_code +
                "\nstring: " + string +
                "\nbuilding_id: " + building_id +
                "\nbuilding_name: " + building_name +
                "\nbuilding_subtype: " + building_subtype +
                "\ncoord_x: " + coord_x +
                "\ncoord_y: " + coord_y +
                "\nroom_id: " + room_id +
                "\nfloor: " + floor +
                "\nentrance: " + entrance +
                "\nroom_type: " + room_type +
                "\nadd_information: " + add_information);
        }
    </script>

{% endblock content %}

